# AAMVARecordFieldType enum

AAMVA subfile field type

Inheritance
  - Object
  - Enum
  - AAMVARecordFieldType

## Constructors

AAMVARecordFieldType()
  const

## Values

Unknown → const AAMVARecordFieldType
FullName → const AAMVARecordFieldType
LastName → const AAMVARecordFieldType
FamilyName → const AAMVARecordFieldType
FirstName → const AAMVARecordFieldType
MiddleNameOrInitial → const AAMVARecordFieldType
NameSuffix → const AAMVARecordFieldType
NamePrefix → const AAMVARecordFieldType
MailingStreetAddress1 → const AAMVARecordFieldType
MailingStreetAddress2 → const AAMVARecordFieldType
MailingCity → const AAMVARecordFieldType
MailingJurisdictionCode → const AAMVARecordFieldType
MailingPostalCode → const AAMVARecordFieldType
ResidenceStreetAddress1 → const AAMVARecordFieldType
ResidenceStreetAddress2 → const AAMVARecordFieldType
ResidenceCity → const AAMVARecordFieldType
ResidenceJurisdictionCode → const AAMVARecordFieldType
ResidencePostalCode → const AAMVARecordFieldType
LicenseOrIdNumber → const AAMVARecordFieldType
LicenseClassificationCode → const AAMVARecordFieldType
LicenseRestrictionCode → const AAMVARecordFieldType
LicenseEndorsementsCode → const AAMVARecordFieldType
HeightInFeetInches → const AAMVARecordFieldType
HeightInCM → const AAMVARecordFieldType
WeightInLBS → const AAMVARecordFieldType
WeightInKG → const AAMVARecordFieldType
EyesColor → const AAMVARecordFieldType
HairColor → const AAMVARecordFieldType
LicenseExpirationDate → const AAMVARecordFieldType
DateOfBirth → const AAMVARecordFieldType
Sex → const AAMVARecordFieldType
LicenseOrIdDocumentIssueDate → const AAMVARecordFieldType
IssueTimestamp → const AAMVARecordFieldType
NumberOfDuplicates → const AAMVARecordFieldType
MedicalIndicatorCodes → const AAMVARecordFieldType
OrganDonor → const AAMVARecordFieldType
NonResidentIndicator → const AAMVARecordFieldType
UniqueCustomerIdentifier → const AAMVARecordFieldType
SocialSecurityNumber → const AAMVARecordFieldType
Suffix → const AAMVARecordFieldType
Prefix → const AAMVARecordFieldType
VirginiaSpecificClass → const AAMVARecordFieldType
VirginiaSpecificRestrictions → const AAMVARecordFieldType
VirginiaSpecificEndorsements → const AAMVARecordFieldType
PhysicalDescriptionWeightRange → const AAMVARecordFieldType
DocumentDiscriminator → const AAMVARecordFieldType
CountryTerritoryOfIssuance → const AAMVARecordFieldType
FederalCommercialVehicleCodes → const AAMVARecordFieldType
PlaceOfBirth → const AAMVARecordFieldType
AuditInformation → const AAMVARecordFieldType
InventoryControlNumber → const AAMVARecordFieldType
RaceEthnicity → const AAMVARecordFieldType
StandardVehicleClassification → const AAMVARecordFieldType
StandardEndorsementCode → const AAMVARecordFieldType
StandardRestrictionCode → const AAMVARecordFieldType
JurisdictionSpecificVehicleClassificationDescription → const AAMVARecordFieldType
JurisdictionSpecific → const AAMVARecordFieldType
JurisdictionSpecificRestrictionCodeDescription → const AAMVARecordFieldType
ComplianceType → const AAMVARecordFieldType
CardRevisionDate → const AAMVARecordFieldType
HazMatEndorsementExpiryDate → const AAMVARecordFieldType
LimitedDurationDocumentIndicator → const AAMVARecordFieldType
FamilyNameTruncation → const AAMVARecordFieldType
FirstNamesTruncation → const AAMVARecordFieldType
MiddleNamesTruncation → const AAMVARecordFieldType
Under18Until → const AAMVARecordFieldType
Under19Until → const AAMVARecordFieldType
Under21Until → const AAMVARecordFieldType
OrganDonorIndicator → const AAMVARecordFieldType
VeteranIndicator → const AAMVARecordFieldType
PermitClassificationCode → const AAMVARecordFieldType
PermitExpirationDate → const AAMVARecordFieldType
PermitIdentifier → const AAMVARecordFieldType
PermitIssueDate → const AAMVARecordFieldType
PermitRestrictionCode → const AAMVARecordFieldType
PermitEndorsementCode → const AAMVARecordFieldType
CourtRestrictionCode → const AAMVARecordFieldType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<AAMVARecordFieldType>
  A constant List of the values in this enum, in order of their declaration.
  `[Unknown, FullName, LastName, FamilyName, FirstName, MiddleNameOrInitial, NameSuffix, NamePrefix, MailingStreetAddress1, MailingStreetAddress2, MailingCity, MailingJurisdictionCode, MailingPostalCode,…`